<inp2:adm_SetPopupSize width="790" height="520"/>

<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="pt" section="in-commerce:payment_types" title_preset="payment_type_edit" tab_preset="Default"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('pt','<inp2:pt_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							submit_event('pt','OnCancelEdit');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('pt', '<inp2:pt_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('pt', '<inp2:pt_NextId/>');
						}
				 ) );

				a_toolbar.Render();

				<inp2:m_if check="pt_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="pt_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="pt_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>

		<inp2:m_RenderElement name="ml_selector" prefix="pt"/>
	</tr>
</tbody>
</table>

<inp2:pt_SaveWarning name="grid_save_warning"/>
<inp2:pt_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="inp_id_label" prefix="pt" field="PaymentTypeId" title="la_fld_Id"/>
		<inp2:m_RenderElement name="inp_edit_box" prefix="pt" field="Name" title="la_fld_Name" size="40"/>
		<inp2:m_RenderElement name="inp_edit_box_ml" prefix="pt" field="Description" title="la_fld_Description" size="40"/>
		<inp2:m_RenderElement name="inp_edit_textarea_ml" prefix="pt" field="Instructions" title="la_fld_Instructions"  cols="40" rows="5"/>
		<inp2:m_RenderElement name="inp_edit_textarea" prefix="pt" field="AdminComments" title="la_fld_AdminComments" cols="40" rows="5"/>
		<inp2:m_RenderElement name="inp_edit_checkbox" prefix="pt" field="Status" title="la_fld_Enabled"/>
		<inp2:m_RenderElement name="inp_edit_checkbox" prefix="pt" field="PlacedOrdersEdit" title="la_fld_PlacedOrdersEdit"/>
		<inp2:m_RenderElement name="inp_edit_box" prefix="pt" field="Priority" title="la_fld_Priority" size="3"/>
		<inp2:m_RenderElement name="inp_edit_box" prefix="pt" field="ProcessingFee" title="la_fld_ProcessingFee" size="4"/>
		<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<inp2:m_include t="incs/footer"/>